

// global variable for storing the current language
var language;

// global variable for storing the current language ID
var langID;

// global variable for storing NLS array
var arrayID;

// variables to store language IDs
// if the script finds this string in the URL, it chooses the language associated.
var eng = "?eng";
var por = "?por";
var pol = "?pol";
var ita = "?ita";
var esp = "?esp";
var fra = "?fra";
var ger = "?ger";
var chi = "?chi";
var tch = "?tch";
var jap = "?jap";
var kor = "?kor";
var czn = "?czn";
var tur = "?tur";
var cat = "?cat";
var hun = "?hun";
var rus = "?rus";
var slk = "?slk";
var slv = "?slv";

//the following arrays contain the names of the guides
var arrayGuideName = new Array("SDK and Runtime Environment Guide", "Java Security Guide", "Readmefirst", 
									"RMI-IIOP Guide", "Information for Japanese Users", "License", "Copyright", "Notices");

//the following function chooses the language in which to display the guides, based on the choice the user made in the
//startHere.htm page - the language is selected depending on the URL of the container page (index.en.html?language)
function chooseLanguage() {
    
    loc = parent.location.href; // get URL of the container page, index.en.html
    
    var langPath = new Array;

    //the following if..else block check which language the guides should be displayed in, and sets the variables
    // language, langId, and arrayID to the appropriate values
    if(loc.indexOf(eng) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="en";
        langPath[1]="en";
    }
    else if(loc.indexOf(por) != -1){
        arrayID = arrayGuideName;
        langPath[0]="pt";
        langPath[1]="pt";
    }
    else if(loc.indexOf(ita) != -1){
        arrayID = arrayGuideName;
        langPath[0]="it";
        langPath[1]="it";
    }
    else if(loc.indexOf(esp) != -1){
        arrayID = arrayGuideName;
        langPath[0]="es";
        langPath[1]="es";
    }
    else if(loc.indexOf(fra) != -1){
        arrayID = arrayGuideName;
        langPath[0]="fr";
        langPath[1]="fr";
    }
    else if(loc.indexOf(ger) != -1){
        arrayID = arrayGuideName;
        langPath[0]="de";
        langPath[1]="de";
    }
    else if(loc.indexOf(chi) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hans";
        langPath[1]="zh_Hans";
    }
    else if(loc.indexOf(tch) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hant";
        langPath[1]="zh_Hant";
    }
    else if(loc.indexOf(jap) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="ja";
        langPath[1]="ja";
    }
    else if(loc.indexOf(kor) != -1){
        arrayID = arrayGuideName;
        langPath[0]="ko";
        langPath[1]="ko";
    }
    else if(loc.indexOf(czn) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; // normal guides not translated
        langPath[1]="cs";
    }
    else if(loc.indexOf(tur) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="tr";
    }
    else if(loc.indexOf(pol) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="pl";
    }
    else if(loc.indexOf(cat) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ca";
    }
    else if(loc.indexOf(hun) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="hu";
    }
    else if(loc.indexOf(rus) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ru";
    }
    else if(loc.indexOf(slk) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sk";
    }
    else if(loc.indexOf(slv) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sl";
    }
    
return langPath;

}
    
function createAssocArray(guidesArray) {
    chooseLanguage();
    var twoDimArray = new Array;
    for(i=0; i<guidesArray.length; i++) {
        
        if(guidesArray[i].indexOf("sdkandruntime") != -1) {
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[0];
        }                  
        else if (guidesArray[i].indexOf("securityguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[1];
        }
        else if (guidesArray[i].indexOf("readmefirst") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[2];
        }
        else if (guidesArray[i].indexOf("rmi") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[3];
        }
        else if (guidesArray[i].indexOf("japanese") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[4];
        }   
        else if (guidesArray[i].indexOf("license") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[5];
        }   
        else if (guidesArray[i].indexOf("COPYRIGHT") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[6];
        }   
        else if (guidesArray[i].indexOf("otices") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[7];
        }   
    }
    //alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    return twoDimArray;
}

//the following function writes the TOC in the toc.htm file
//first it calls the function createAssocArray() on an array that has a list of the
//file paths to the various user guides. this results in a 2-dimensional array that has the
//path of the user guide and the name to display in the browser. 
//after writing the opening <UL> tag, this function iterates through the 2-dimensional array to
//create the links to the various user guides
function writeToc(arrayGuidePaths) {
    var twoDim = createAssocArray(arrayGuidePaths); // create 2-dimensional array from array containing user guide paths
    document.write("<UL>"); // write opening <UL> tag
    
    //iterate through 2-dim array and write links in toc.htm file  
    for (i=0; i<twoDim.length; i++){
        document.write("<LI><A href='" + twoDim[i][0] + "' target='Content'>" + twoDim[i][1] + "</A></LI>");
    }
    
    document.write("</UL>"); // write closing </UL> tag

}
        


// SIG // Begin signature block
// SIG // MIIZ0wYJKoZIhvcNAQcCoIIZxDCCGcACAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFCPXffISkKcE
// SIG // aHE6M6OfSrCezNkboIIV2zCCA3owggJioAMCAQICEDgl
// SIG // 1/r4Ya+e9JDnJrXWWtUwDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTA3MDYxNTAwMDAwMFoX
// SIG // DTEyMDYxNDIzNTk1OVowXDELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMTQwMgYDVQQDEytW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIFNp
// SIG // Z25lciAtIEcyMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB
// SIG // iQKBgQDEtfJSFbyIhmApFkpbL0uRa4eR8zVUWDXq0TZe
// SIG // Yk1SUTRxwntmHYnI3SrEagr2N9mYdJH2kq6wtXaW8alK
// SIG // Y0VHLmsLkk5LK4zuWEqL1AfkGiz4gqpY2c1C8y3Add6N
// SIG // q8eOHZpsTAiVHt7b72fhcsJJwp5gPOHivhajY3hpFHut
// SIG // LQIDAQABo4HEMIHBMDQGCCsGAQUFBwEBBCgwJjAkBggr
// SIG // BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29t
// SIG // MAwGA1UdEwEB/wQCMAAwMwYDVR0fBCwwKjAooCagJIYi
// SIG // aHR0cDovL2NybC52ZXJpc2lnbi5jb20vdHNzLWNhLmNy
// SIG // bDAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8B
// SIG // Af8EBAMCBsAwHgYDVR0RBBcwFaQTMBExDzANBgNVBAMT
// SIG // BlRTQTEtMjANBgkqhkiG9w0BAQUFAAOCAQEAUMVLyCSA
// SIG // 3+QNJMLeGrGhAqGmgi0MgxWBNwqCDiywWhdhtdgF/ojb
// SIG // 8ZGRs1YaQKbrkr44ObB1NnQ6mE/kN7qZicqVQh2wuceg
// SIG // jVfg+tVkBEI1TgHRM6IXyE2qJ8fy4YZMAjhNg3jG/FPg
// SIG // 6+AGh92klp5eDJjipb6/goXDYOHfrSjYx6VLZNrHG1u9
// SIG // rDkI1TgioTOLL4qa67wHIT9EQQkHtWUcJLxI00SA66HP
// SIG // yQK0FM9UxxajgFz5eT5dcn2IF54sQ6LKU859PfYqOrhP
// SIG // lAClbQqDXfleU/QYs1cPcMP79a2VoA4X3sQWgGDJDytu
// SIG // hgTx6/R4J9EFxe40W165STLyMzCCA8QwggMtoAMCAQIC
// SIG // EEe/GZXfjVJGQ/fbbUgNMaQwDQYJKoZIhvcNAQEFBQAw
// SIG // gYsxCzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJu
// SIG // IENhcGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYD
// SIG // VQQKEwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0
// SIG // aWZpY2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0
// SIG // YW1waW5nIENBMB4XDTAzMTIwNDAwMDAwMFoXDTEzMTIw
// SIG // MzIzNTk1OVowUzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJWZXJpU2ln
// SIG // biBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqcqypMzN
// SIG // IK8KfYmsh3XwtE7x38EPv2dhvaNkHNq7+cozq4QwiVh+
// SIG // jNtr3TaeD7/R7Hjyd6Z+bzy/k68Numj0bJTKvVItq0g9
// SIG // 9bbVXV8bAp/6L2sepPejmqYayALhf0xS4w5g7EAcfrkN
// SIG // 3j/HtN+HvV96ajEuA5mBE6hHIM4xcw1XLc14NDOVEpkS
// SIG // ud5oL6rm48KKjCrDiyGHZr2DWFdvdb88qiaHXcoQFTyf
// SIG // hOpUwQpuxP7FSt25BxGXInzbPifRHnjsnzHJ8eYiGdvE
// SIG // s0dDmhpfoB6Q5F717nzxfatiAY/1TQve0CJWqJXNroh2
// SIG // ru66DfPkTdmg+2igrhQ7s4fBuwIDAQABo4HbMIHYMDQG
// SIG // CCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDov
// SIG // L29jc3AudmVyaXNpZ24uY29tMBIGA1UdEwEB/wQIMAYB
// SIG // Af8CAQAwQQYDVR0fBDowODA2oDSgMoYwaHR0cDovL2Ny
// SIG // bC52ZXJpc2lnbi5jb20vVGhhd3RlVGltZXN0YW1waW5n
// SIG // Q0EuY3JsMBMGA1UdJQQMMAoGCCsGAQUFBwMIMA4GA1Ud
// SIG // DwEB/wQEAwIBBjAkBgNVHREEHTAbpBkwFzEVMBMGA1UE
// SIG // AxMMVFNBMjA0OC0xLTUzMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // AEpr+epYwkQcMYl5mSuWv4KsAdYcTM2wilhu3wgpo17I
// SIG // ypMT5wRSDe9HJy8AOLDkyZNOmtQiYhX3PzchT3AxgPGL
// SIG // OIez6OiXAP7PVZZOJNKpJ056rrdhQfMqzufJ2V7duyuF
// SIG // PrWdtdnhV/++tMV+9c8MnvCX/ivTO1IbGzgn9z9KMIIE
// SIG // vzCCBCigAwIBAgIQQZGhWjl4389JZWY4HUx1wjANBgkq
// SIG // hkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNsYXNz
// SIG // IDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlvbiBB
// SIG // dXRob3JpdHkwHhcNMDQwNzE2MDAwMDAwWhcNMTQwNzE1
// SIG // MjM1OTU5WjCBtDELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
// SIG // biBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBv
// SIG // ZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYSAoYykwNDEuMCwGA1UEAxMlVmVyaVNpZ24gQ2xh
// SIG // c3MgMyBDb2RlIFNpZ25pbmcgMjAwNCBDQTCCASIwDQYJ
// SIG // KoZIhvcNAQEBBQADggEPADCCAQoCggEBAL687rx+74Pr
// SIG // 4DdP+wMQOL4I0ox9nfqSfxkMwmvuQlKM3tMcSBMl6sFj
// SIG // evlRZe7Tqjv18JScK/vyZtQk2vf1n24ZOTa80KN2CB4i
// SIG // JyRsOJEn4oRJrhuKof0lgiwQMOhxqyjod0pR8ezN+PBU
// SIG // 1G/A420Kj9nYZI1jsi1OJ/aFDv5t4ymZ4oVHfC2Gf+hX
// SIG // j61nwjMykRMg/KkjFJptwoRLdmgE1XEsXSH6iA0m/R8t
// SIG // kSvnAVVN8m01KILf2WtcttbZqoH9X82DumOd0CL8qTtC
// SIG // abKOOrW8tJ4PXsTqLIKLKP1TCJbdtQEg0fmlGOfA7lFw
// SIG // N+G2BUhSSG846sPobHtEhLsCAwEAAaOCAaAwggGcMBIG
// SIG // A1UdEwEB/wQIMAYBAf8CAQAwRAYDVR0gBD0wOzA5Bgtg
// SIG // hkgBhvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxodHRwczov
// SIG // L3d3dy52ZXJpc2lnbi5jb20vcnBhMDEGA1UdHwQqMCgw
// SIG // JqAkoCKGIGh0dHA6Ly9jcmwudmVyaXNpZ24uY29tL3Bj
// SIG // YTMuY3JsMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF
// SIG // BQcDAzAOBgNVHQ8BAf8EBAMCAQYwEQYJYIZIAYb4QgEB
// SIG // BAQDAgABMCkGA1UdEQQiMCCkHjAcMRowGAYDVQQDExFD
// SIG // bGFzczNDQTIwNDgtMS00MzAdBgNVHQ4EFgQUCPVR6Pv+
// SIG // PT1kNnxoz1t4qN+5xTcwgYAGA1UdIwR5MHehY6RhMF8x
// SIG // CzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwg
// SIG // SW5jLjE3MDUGA1UECxMuQ2xhc3MgMyBQdWJsaWMgUHJp
// SIG // bWFyeSBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eYIQcLrk
// SIG // HRDZKTS2OMp7A8y6vzANBgkqhkiG9w0BAQUFAAOBgQCu
// SIG // Ohe4SntV+mRV7ECk7UlBkJmcibyvLh3KeCP5HBkPf+to
// SIG // vDLZiDje3D/TibQ/sYKW8aRauu0uJtPefAFuAAoApAaS
// SIG // EUgJQPkcGHlnIyTgu9XhUK4b9Q7d4C6BzYCjbFJPkXVV
// SIG // iroi8tLqQXWIL2NVfR5UWpVZytk0gcBfXvZ6tTCCBL8w
// SIG // ggQooAMCAQICEFdkbitVACPUkFNKVT6rDQowDQYJKoZI
// SIG // hvcNAQEFBQAwXzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMTcwNQYDVQQLEy5DbGFzcyAz
// SIG // IFB1YmxpYyBQcmltYXJ5IENlcnRpZmljYXRpb24gQXV0
// SIG // aG9yaXR5MB4XDTA0MDcxNjAwMDAwMFoXDTA5MDcxNTIz
// SIG // NTk1OVowgbQxCzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5W
// SIG // ZXJpU2lnbiwgSW5jLjEfMB0GA1UECxMWVmVyaVNpZ24g
// SIG // VHJ1c3QgTmV0d29yazE7MDkGA1UECxMyVGVybXMgb2Yg
// SIG // dXNlIGF0IGh0dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9y
// SIG // cGEgKGMpMDQxLjAsBgNVBAMTJVZlcmlTaWduIENsYXNz
// SIG // IDMgQ29kZSBTaWduaW5nIDIwMDQgQ0EwggEiMA0GCSqG
// SIG // SIb3DQEBAQUAA4IBDwAwggEKAoIBAQC+vO68fu+D6+A3
// SIG // T/sDEDi+CNKMfZ36kn8ZDMJr7kJSjN7THEgTJerBY3r5
// SIG // UWXu06o79fCUnCv78mbUJNr39Z9uGTk2vNCjdggeIick
// SIG // bDiRJ+KESa4biqH9JYIsEDDocaso6HdKUfHszfjwVNRv
// SIG // wONtCo/Z2GSNY7ItTif2hQ7+beMpmeKFR3wthn/oV4+t
// SIG // Z8IzMpETIPypIxSabcKES3ZoBNVxLF0h+ogNJv0fLZEr
// SIG // 5wFVTfJtNSiC39lrXLbW2aqB/V/Ng7pjndAi/Kk7Qmmy
// SIG // jjq1vLSeD17E6iyCiyj9UwiW3bUBINH5pRjnwO5RcDfh
// SIG // tgVIUkhvOOrD6Gx7RIS7AgMBAAGjggGgMIIBnDASBgNV
// SIG // HRMBAf8ECDAGAQH/AgEAMEQGA1UdIAQ9MDswOQYLYIZI
// SIG // AYb4RQEHFwMwKjAoBggrBgEFBQcCARYcaHR0cHM6Ly93
// SIG // d3cudmVyaXNpZ24uY29tL3JwYTAxBgNVHR8EKjAoMCag
// SIG // JKAihiBodHRwOi8vY3JsLnZlcmlzaWduLmNvbS9wY2Ez
// SIG // LmNybDAdBgNVHSUEFjAUBggrBgEFBQcDAgYIKwYBBQUH
// SIG // AwMwDgYDVR0PAQH/BAQDAgEGMBEGCWCGSAGG+EIBAQQE
// SIG // AwIAATApBgNVHREEIjAgpB4wHDEaMBgGA1UEAxMRQ2xh
// SIG // c3MzQ0EyMDQ4LTEtNDMwHQYDVR0OBBYEFAj1Uej7/j09
// SIG // ZDZ8aM9beKjfucU3MIGABgNVHSMEeTB3oWOkYTBfMQsw
// SIG // CQYDVQQGEwJVUzEXMBUGA1UEChMOVmVyaVNpZ24sIElu
// SIG // Yy4xNzA1BgNVBAsTLkNsYXNzIDMgUHVibGljIFByaW1h
// SIG // cnkgQ2VydGlmaWNhdGlvbiBBdXRob3JpdHmCEHC65B0Q
// SIG // 2Sk0tjjKewPMur8wDQYJKoZIhvcNAQEFBQADgYEAmmX1
// SIG // 2NfhpNBd3th9e8PuxAjCVtCM3O2sIo3nUAYNByygpGmV
// SIG // zJnfzGMxz7DB5JbLOM4h+3znWAojIQcskJer2JYEk1RT
// SIG // ujoQSHINhewbCkElzH1srHsD8fd4PPKoQNBVctu+Cyi1
// SIG // yMcF/tPgtSHcvEC3vrxg9bjj2F47Zd1mVl8wggULMIID
// SIG // 86ADAgECAhA3aqKFbKev/7GX0WDuv4rZMA0GCSqGSIb3
// SIG // DQEBBQUAMIG0MQswCQYDVQQGEwJVUzEXMBUGA1UEChMO
// SIG // VmVyaVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlTaWdu
// SIG // IFRydXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRlcm1zIG9m
// SIG // IHVzZSBhdCBodHRwczovL3d3dy52ZXJpc2lnbi5jb20v
// SIG // cnBhIChjKTA0MS4wLAYDVQQDEyVWZXJpU2lnbiBDbGFz
// SIG // cyAzIENvZGUgU2lnbmluZyAyMDA0IENBMB4XDTA2MDgw
// SIG // MzAwMDAwMFoXDTA5MDgxMTIzNTk1OVowgc4xCzAJBgNV
// SIG // BAYTAkdCMRIwEAYDVQQIEwlIYW1wc2hpcmUxEDAOBgNV
// SIG // BAcTB0h1cnNsZXkxEzARBgNVBAoUCklCTSBVSyBMdGQx
// SIG // PjA8BgNVBAsTNURpZ2l0YWwgSUQgQ2xhc3MgMyAtIE1p
// SIG // Y3Jvc29mdCBTb2Z0d2FyZSBWYWxpZGF0aW9uIHYyMS8w
// SIG // LQYDVQQLFCZlLWJ1c2luZXNzIEluZnJhc3RydWN0dXJl
// SIG // IFRlY2hub2xvZ2llczETMBEGA1UEAxQKSUJNIFVLIEx0
// SIG // ZDCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEA5szf
// SIG // jj56r4Jh2b3L4THUkbHJN6Dkenvx6AtJX5aU/4Kn9vLd
// SIG // 0XSErnCJlFAUtS/LEobbJwGwGNAKnE6S4BaTUTzmbnNU
// SIG // 3K6F+oOmN8kEi7/szVDtBopUO1ucZa1tEi6jfhE7bGGU
// SIG // AajQqM3LsknTPPAy88k7pz8n5OVwm/nVMU0CAwEAAaOC
// SIG // AX8wggF7MAkGA1UdEwQCMAAwDgYDVR0PAQH/BAQDAgeA
// SIG // MEAGA1UdHwQ5MDcwNaAzoDGGL2h0dHA6Ly9DU0MzLTIw
// SIG // MDQtY3JsLnZlcmlzaWduLmNvbS9DU0MzLTIwMDQuY3Js
// SIG // MEQGA1UdIAQ9MDswOQYLYIZIAYb4RQEHFwMwKjAoBggr
// SIG // BgEFBQcCARYcaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYTATBgNVHSUEDDAKBggrBgEFBQcDAzB1BggrBgEF
// SIG // BQcBAQRpMGcwJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3Nw
// SIG // LnZlcmlzaWduLmNvbTA/BggrBgEFBQcwAoYzaHR0cDov
// SIG // L0NTQzMtMjAwNC1haWEudmVyaXNpZ24uY29tL0NTQzMt
// SIG // MjAwNC1haWEuY2VyMB8GA1UdIwQYMBaAFAj1Uej7/j09
// SIG // ZDZ8aM9beKjfucU3MBEGCWCGSAGG+EIBAQQEAwIEEDAW
// SIG // BgorBgEEAYI3AgEbBAgwBgEBAAEB/zANBgkqhkiG9w0B
// SIG // AQUFAAOCAQEAvQp3C0JKl/C6q5BVQ+Fa4vtRHYiRGpNd
// SIG // LKdRdE+NY3vYOHFtaJf3oNkLGjNJMkWwdXBY19cVjLZ9
// SIG // lMiv3dSgucXgsJTgyNBJTxpXu4ZHmipvqHwyGJr2ej/u
// SIG // xtqN/odgxG1NSLhoZkMlmX817+B/+ydfs6AmR22v8lOF
// SIG // 4BITsscH0/q/GsXFeh21S6XO72dLV9POhCcXwO0y25S9
// SIG // AYI/Q3Ylt/QMkVhYsePfLKk+ttx8EeXlfR7hVb8bixOD
// SIG // mFxxCxJYnS2oBhdILr55WF6RgCApafbG/mOCftq99mg8
// SIG // SqbnIiqkxEVO8Yada6CbTU/TKsXDnHaLmOi5UKKyREsN
// SIG // nTGCA2QwggNgAgEBMIHJMIG0MQswCQYDVQQGEwJVUzEX
// SIG // MBUGA1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNVBAsT
// SIG // FlZlcmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNVBAsT
// SIG // MlRlcm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52ZXJp
// SIG // c2lnbi5jb20vcnBhIChjKTA0MS4wLAYDVQQDEyVWZXJp
// SIG // U2lnbiBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDA0IENB
// SIG // AhA3aqKFbKev/7GX0WDuv4rZMAkGBSsOAwIaBQCgcDAQ
// SIG // BgorBgEEAYI3AgEMMQIwADAZBgkqhkiG9w0BCQMxDAYK
// SIG // KwYBBAGCNwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYB
// SIG // BAGCNwIBFTAjBgkqhkiG9w0BCQQxFgQUbrKKb/suM9wZ
// SIG // hdptQYWamTw+5+4wDQYJKoZIhvcNAQEBBQAEgYBPcS31
// SIG // /t5YM7vo4Tpfn9cnpMif8YSjdEph90z+LWSVWnl+EvWD
// SIG // /AGFrf6vA4QpXz4U928QbGwdoqhYWjBYFfv+NiGlr4uR
// SIG // fXPnXhlweUEeSs/81fJ5DYRzQ+09DEDQr9NjDy5C9oIn
// SIG // 2GHtbp8pCZeQet9GL5jYSZEGgi3QuFcHxqGCAX4wggF6
// SIG // BgkqhkiG9w0BCQYxggFrMIIBZwIBATBnMFMxCzAJBgNV
// SIG // BAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwgSW5jLjEr
// SIG // MCkGA1UEAxMiVmVyaVNpZ24gVGltZSBTdGFtcGluZyBT
// SIG // ZXJ2aWNlcyBDQQIQOCXX+vhhr570kOcmtdZa1TAMBggq
// SIG // hkiG9w0CBQUAoFkwGAYJKoZIhvcNAQkDMQsGCSqGSIb3
// SIG // DQEHATAcBgkqhkiG9w0BCQUxDxcNMDgwODExMjExMzE1
// SIG // WjAfBgkqhkiG9w0BCQQxEgQQPmQd/7EWfkjS2sioJhVW
// SIG // GjANBgkqhkiG9w0BAQEFAASBgHdT+LiXPx3xkEk5113R
// SIG // fA38AVtUIElZor4+mmrntnAt0PApya480oTY/Lxd03bj
// SIG // viHIMRLDxRxgwi92gLVLjXapOJ1BxNsWayhIEVVtAFS4
// SIG // es7seRqQo0J2K2gYkaJx8vxKNfwzBcZZz6TrPz3QcwUZ
// SIG // LcpHkOOsNjWbZDjcogWz
// SIG // End signature block
